/* #region OVERRIDES */
uhf-cart, uhf-mecontrol { display: none }

.cc-icon.cc-v-center path,
.cc-icon.cc-v-center line,
.cc-icon.cc-v-center circle { stroke-width: 3px !important; stroke: #231f20 !important; fill: none !important; }

/*hide sign in*/
div#meControl { display: none !important; }
.c-explicit { color: #000; border-color: #000; margin: 5px 8px 0 0 !important; text-transform: uppercase; display: inline-block; }
	.c-explicit > span { display: block !important; padding: 4px; }
.c-call-to-action { vertical-align: top; }
	.c-call-to-action span { text-transform: uppercase; }
.f-share.m-social > span { color: #fff; }
	.f-share.m-social > span:nth-of-type(2n+0) { margin-left: 25px; }
.s-video { display: block !important; }
	.s-video .f-video-controls { left: 0; }
.c-video { text-align: left !important; padding: 0 !important; }
.c-paragraph-1.s-newsletterinfo-txt { font-weight: 400; }
.s-article .m-content-placement-item { margin-top: 24px; }
.s-article .c-heading-3 { padding-top: 72px; }
.m-social > span { max-width: 40%; }

/* margin padding */
.areaSpacing-p-xxxl { padding: 4rem; }
.areaSpacing-p-xxl { padding: 3rem; }
.areaSpacing-p-xl { padding: 2rem; }
.areaSpacing-p-l { padding: 1.5rem; }
.areaSpacing-p-m { padding: 1rem; }
.areaSpacing-p-s { padding: 0.5rem; }
.areaSpacing-p-none { padding: 0; }

.areaSpacing-py-xxxl { padding-top: 4rem; padding-bottom: 4rem; }
.areaSpacing-py-xxl { padding-top: 3rem; padding-bottom: 3rem; }
.areaSpacing-py-xl { padding-top: 2rem; padding-bottom: 2rem; }
.areaSpacing-py-l { padding-top: 1.5rem; padding-bottom: 1.5rem; }
.areaSpacing-py-m { padding-top: 1rem; padding-bottom: 1rem; }
.areaSpacing-py-s { padding-top: 0.5rem; padding-bottom: 0.5rem; }
.areaSpacing-py-none { padding-top: 0; padding-bottom: 0; }

.areaSpacing-px-xxxl { padding-left: 4rem; padding-right: 4rem; }
.areaSpacing-px-xxl { padding-left: 3rem; padding-right: 3rem; }
.areaSpacing-px-xl { padding-left: 2rem; padding-right: 2rem; }
.areaSpacing-px-l { padding-left: 1.5rem; padding-right: 1.5rem; }
.areaSpacing-px-m { padding-left: 1rem; padding-right: 1rem; }
.areaSpacing-px-s { padding-left: 0.5rem; padding-right: 0.5rem; }
.areaSpacing-px-none { padding-left: 0; padding-right: 0; }

.areaSpacing-pt-xxxl { padding-top: 4rem; }
.areaSpacing-pt-xxl { padding-top: 3rem; }
.areaSpacing-pt-xl { padding-top: 2rem; }
.areaSpacing-pt-l { padding-top: 1.5rem; }
.areaSpacing-pt-m { padding-top: 1rem; }
.areaSpacing-pt-s { padding-top: 0.5rem; }
.areaSpacing-pt-none { padding-top: 0; }

.areaSpacing-pb-xxxl { padding-bottom: 4rem; }
.areaSpacing-pb-xxl { padding-bottom: 3rem; }
.areaSpacing-pb-xl { padding-bottom: 2rem; }
.areaSpacing-pb-l { padding-bottom: 1.5rem; }
.areaSpacing-pb-m { padding-bottom: 1rem; }
.areaSpacing-pb-s { padding-bottom: 0.5rem; }
.areaSpacing-pb-none { padding-bottom: 0; }

.areaSpacing-m-xxxl { margin: 4rem; }
.areaSpacing-m-xxl { margin: 3rem; }
.areaSpacing-m-xl { margin: 2rem; }
.areaSpacing-m-l { margin: 1.5rem; }
.areaSpacing-m-m { margin: 1rem; }
.areaSpacing-m-s { margin: 0.5rem; }
.areaSpacing-m-none { margin: 0; }

.areaSpacing-my-xxxl { margin-top: 4rem; margin-bottom: 4rem; }
.areaSpacing-my-xxl { margin-top: 3rem; margin-bottom: 3rem; }
.areaSpacing-my-xl { margin-top: 2rem; margin-bottom: 2rem; }
.areaSpacing-my-l { margin-top: 1.5rem; margin-bottom: 1.5rem; }
.areaSpacing-my-m { margin-top: 1rem; margin-bottom: 1rem; }
.areaSpacing-my-s { margin-top: 0.5rem; margin-bottom: 0.5rem; }
.areaSpacing-my-none { margin-top: 0; margin-bottom: 0; }

.areaSpacing-mx-xxxl { margin-left: 4rem; margin-right: 4rem; }
.areaSpacing-mx-xxl { margin-left: 3rem; margin-right: 3rem; }
.areaSpacing-mx-xl { margin-left: 2rem; margin-right: 2rem; }
.areaSpacing-mx-l { margin-left: 1.5rem; margin-right: 1.5rem; }
.areaSpacing-mx-m { margin-left: 1rem; margin-right: 1rem; }
.areaSpacing-mx-s { margin-left: 0.5rem; margin-right: 0.5rem; }
.areaSpacing-mx-none { margin-left: 0; margin-right: 0; }

.areaSpacing-mt-xxxl { margin-top: 4rem; }
.areaSpacing-mt-xxl { margin-top: 3rem; }
.areaSpacing-mt-xl { margin-top: 2rem; }
.areaSpacing-mt-l { margin-top: 1.5rem; }
.areaSpacing-mt-m { margin-top: 1rem; }
.areaSpacing-mt-s { margin-top: 0.5rem; }
.areaSpacing-mt-none { margin-top: 0; }

.areaSpacing-mb-xxxl { margin-bottom: 4rem; }
.areaSpacing-mb-xxl { margin-bottom: 3rem; }
.areaSpacing-mb-xl { margin-bottom: 2rem; }
.areaSpacing-mb-l { margin-bottom: 1.5rem; }
.areaSpacing-mb-m { margin-bottom: 1rem; }
.areaSpacing-mb-s { margin-bottom: 0.5rem; }
.areaSpacing-mb-none { margin-bottom: 0; }

.w-100 { width: 100% }
.w-50 { width: 50% }
.w-25 { width: 25% }

.tw-headline-link { display: flex; gap: 6px; }
/*.tw-headline-link span[slot="button__text"] {display: -webkit-box; -webkit-line-clamp: 1;-webkit-box-orient: vertical;overflow: hidden; text-overflow: ellipsis; }*/
.tw-left { margin-right: auto; }
.tw-bg-brilliant-blue-700 { background: #005597 }
.tw-img-border img { border: 1px solid #e6e6e4; }

/* social */
#social .social-max { max-width: 1600px; margin: 0 auto; text-align: center; }
#social .list-inline { display: inline-block; padding: 0; list-style: none; }
#social .list-inline-item { display: inline-block; }
#social .social-2d { display: inline-block; width: 25px; }
#social .social-block { display: inline-block; }
#social.tw-social-bottom { padding-top: 3.5rem; }
	#social.tw-social-bottom span {rgb(14, 23, 38); margin: 0 12px 0 0 }
.social-img { border: 1px solid #ccc; border-radius: 8px; background-color: #fff; padding: 4px }
#social > reimagine-logo-footer:first-of-type > reimagine-link:first-of-type { margin-left: 0 }

/*Cards*/
.cardEventIcon { width: 50px; border-radius: 8px }
.badge-item-img-75 { width: 75px; border-radius: 8px; }

/* filter */
.reimagine-filter-setup { max-width: 1600px; margin: 0 auto; }
	.reimagine-filter-setup .leftrail { padding-left: 25px; }

@media only screen and (max-width: 1200px) {
	.reimagine-filter-setup .leftrail { padding: 0 52px; }
}

@media only screen and (max-width: 859px) {
	.tw-filler-card { display: none }
}

@media only screen and (max-width: 539px) {
	.reimagine-filter-setup .leftrail { padding: 0 14px; }
}

label.tw-dropdown-item { display: block }
.reimagine-filter-box { margin: 0 10px 24px 10px }
.reimagine-filter-box-txtcolor { color: rgb(244,250,253) }
reimagine-base-ui-shell[theme=day] .reimagine-filter-box-txtcolor { color: #000 }
.tw-filter-searchBox { padding-bottom: 12px }
.searchBox { background-color: rgb(240, 240, 240); border-radius: 16px; overflow: hidden; min-height: 47px; }
.searchBoxInput { background-color: rgb(240, 240, 240); margin: 9px 0 0 15px; width: 80%; border: none; vertical-align: top; }
.reimagine-filter-box-lbl { font-size: 2rem; padding-bottom: 36px; letter-spacing: -0.3px }
.tw-filter-dd { padding-bottom: 12px }
	.tw-filter-dd:last-of-type { padding-bottom: 24px }
.tw-reset-filter-btn { --ds-button-min-width: 100%; --ds-button-align-items: left; --ds-layout-column-width: 100% }
reimagine-base-ui-shell[theme=day] .searchBox { background-color: rgb(2555, 255, 255); }
reimagine-base-ui-shell[theme=day] .searchBoxInput { background-color: rgb(255, 255, 255); }
.searchBoxButton { border: none; margin: 9px 2px 0 0; float: right; }
reimagine-base-ui-shell[theme=day] .searchBoxButton { background-color: rgb(255, 255, 255); }
.searchBoxReset { text-decoration: none; }
	.searchBoxReset span { margin-left: 8px; font-size: var(--ds-body-m-font-size, 1rem); }
div.reimagine-filter-setup h5[slot=text-block__heading], .community h5[slot=text-block__heading] { overflow-wrap: anywhere; display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
div.reimagine-filter-setup p[slot=text-block__content] { display: -webkit-box; -webkit-line-clamp: 4; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
input.filter-input-display { display: none }

/* pagnination */
.pagination { display: flex; padding: 0; list-style: none; font-weight: 600; margin-bottom: 0; border-color: #0067b8; justify-content: center; }
.page-item:first-child, .page-item:last-child { display: inline-block; }
.page-item { white-space: nowrap; border-color: inherit; display: inline-block; position: relative; }
.pagination a { color: #fff; text-decoration: none; }
.pagination .page-item.disabled.ellipsis { color: #fff; text-decoration: none; }
reimagine-base-ui-shell[theme=day] .pagination .page-item.disabled.ellipsis { color: #000; text-decoration: none; }

/* news */
.news-layout { display: flex; }
	.news-layout .leftrail { order: 2 }
	.news-layout .contentrail { order: 1 }
.news-badge { margin: auto 5px 5px 0 }
div.news-content.day, div.news-lr .day { color: rgb(14, 23, 38) }
	div.news-content.day a { color: rgb(14, 23, 38) }

/*Article Blog News*/
reimagine-base-ui-shell.tw-article.tw-article a { font-weight: 600; }
reimagine-base-ui-shell.tw-article div.author { padding-top: 1.5rem; padding-bottom: 1.5rem; }
reimagine-base-ui-shell.tw-article div.authoren { padding-top: 1.5rem; padding-bottom: 1.5rem; float: left; width: 25% }
reimagine-base-ui-shell.tw-article div.listing { padding-top: 1.5rem; padding-bottom: 1.5rem; }
	reimagine-base-ui-shell.tw-article div.listing reimagine-media { float: left; margin-right: 15px }
		reimagine-base-ui-shell.tw-article div.listing reimagine-media img { border-radius: 12px }
	reimagine-base-ui-shell.tw-article div.listing div[slot=text-block__heading] { margin-top: 4% }
reimagine-base-ui-shell.tw-article h2,
reimagine-base-ui-shell.tw-article h3,
reimagine-base-ui-shell.tw-article h4,
reimagine-base-ui-shell.tw-article figcaption { padding-top: 1rem; padding-bottom: 0.5rem }
reimagine-base-ui-shell.tw-article ol li,
reimagine-base-ui-shell.tw-article ul li { margin: 0.25rem 0; }
reimagine-base-ui-shell.tw-article ul.tw-rr-list,
reimagine-base-ui-shell.tw-article ol.tw-rr-list { padding-top: 1rem; }
reimagine-base-ui-shell.tw-article p { padding-top: 0.5rem; padding-bottom: 0.5rem }
reimagine-base-ui-shell.tw-article table,
reimagine-base-ui-shell.tw-article table td { margin-top: 0.5rem; margin-bottom: 0.5rem }
	reimagine-base-ui-shell.tw-article table.borderbottom td,
	reimagine-base-ui-shell.tw-article table.borderbottom th { padding: 1.5rem .75rem; vertical-align: top; border-bottom: .0625rem solid #d2d2d2; overflow-wrap: break-word; }
reimagine-base-ui-shell.tw-article figure img { max-width: 100%; border-radius: 12px }
reimagine-base-ui-shell.tw-article reimagine-card-feature,
reimagine-base-ui-shell.tw-article reimagine-card-badge { height: auto }
.tw-article .highlight pre { padding: 10px; }
.tw-article code { padding: .2em .4em; margin: 0; font-size: 85%; background-color: rgba(27,31,35,.05); border-radius: 6px; }
.tw-article pre { background-color: #f6f8fa; color: #24292e; line-height: 1.6em; }
.tw-article .pl-k { background-color: #f6f8fa; color: #ba2735; }
.tw-article .pl-c { background-color: #f6f8fa; color: #6a737d; }
.tw-article .pl-c1, .tw-article .pl-s .tw-article .pl-v { background-color: #f6f8fa; color: #005cc5; }
.tw-article .pl-ent { background-color: #f6f8fa; color: #0B8429; }
.tw-article .pl-pds, .tw-article .pl-s, .tw-article .pl-s, .tw-article .pl-pse, .tw-article .pl-s1, .tw-article .pl-sr, .tw-article .pl-sr, .tw-article .pl-cce, .tw-article .pl-sr, .tw-article .pl-sra, .tw-article .pl-sr, .tw-article .pl-sre { background-color: #f6f8fa; color: #032f62; }

@media only screen and (max-width: 1083px) {
	reimagine-base-ui-shell.tw-article div.authoren { width: 100% }
}

div.news-content { margin: 0 auto }
div.news-date { margin: 18px 0; font-size: 1.2rem }
.news-headline { font-size: 2.5rem; --ds-heading-l-line-height: 2.75rem }
div.news-content h3 { margin: 18px 0 10px 0; }
/*div.news-content p, div.news-content .news-link{font-size:1.2rem;}*/
div.news-content p { margin-bottom: 1rem; }
.newsFilter-layout .contentrail reimagine-text-block { overflow-wrap: anywhere }

@media only screen and (max-width: 1200px) {
	.newsFilter-layout .leftrail { flex-basis: 100% }
	.newsFilter-layout .contentrail { flex-basis: 100% }
}

/* events */
@media only screen and (max-width: 1200px) {
	.eventFilter-layout .leftrail { flex-basis: 100% }
	.eventFilter-layout .contentrail { flex-basis: 100% }
}

/* show */
.sb-show-main.sb-main-padded { padding: 0; }
.container { display: flex; flex-direction: column; color: var(--ds-theme-foreground-neutral-strong, #0e1726); }
	.container p { font-size: 1.5rem; font-weight: 400; }
	.container a { color: var(--ds-theme-foreground-accent-subtle-normal, #2a446f); }

/* BG Colrs */
.tw-BgColor-main { background-color: var(--ds-color-teams-800) !Important }
.tw-BgColor-blue { background-color: rgb(9,103,184) !Important }
.tw-BgColor-white { background-color: rgb(255,255,255) !Important }
.tw-BgColor-test { background-color: var(--ds-theme-background-accent-subtle-pressed) }
.tw-BgColor-Gradient-blue-green { background: linear-gradient(0deg,rgba(255, 255, 255, 0.4) 0%, rgba(183, 239, 176, 0.4) 20%, rgba(255, 255, 255, 0.4) 30%, rgba(116, 182, 230, 0.4) 40%, rgba(183, 239, 176, 0.4) 60%, rgba(255, 255, 255, 0.4) 70%, rgba(116, 182, 230, 0.4) 80%, rgba(255, 255, 255, 1) 100%) }

/*background-color:#0f172a;*/
.tw-BgColor-GradBlue--dark { background: linear-gradient(0deg,rgba(15,23,42,.9) 0%,rgba(34,197,94,.18) 20%,rgba(15,23,42,.85) 30%,rgba(56,189,248,.22) 40%,rgba(34,197,94,.18) 60%,rgba(15,23,42,.85) 70%,rgba(56,189,248,.22) 80%,rgba(15,23,42,1) 100%); }

/*background-color:#020617;*/
.tw-BgColor-GradBlue--dark2 { background: linear-gradient(0deg,rgba(2,6,23,1) 0%,rgba(22,101,52,.12) 20%,rgba(2,6,23,.95) 30%,rgba(30,64,175,.14) 40%,rgba(22,101,52,.12) 60%,rgba(2,6,23,.95) 70%,rgba(30,64,175,.14) 80%,rgba(2,6,23,1) 100%); }

/*background-color:#01030a;*/
.tw-BgColor-GradBlue--dark3 { background: linear-gradient(0deg,rgba(1,3,10,1) 0%,rgba(15,60,40,.06) 20%,rgba(1,3,10,.98) 30%,rgba(20,40,90,.07) 40%,rgba(15,60,40,.06) 60%,rgba(1,3,10,.98) 70%,rgba(20,40,90,.07) 80%,rgba(1,3,10,1) 100%); }

.hero-info { font-size: 1.5rem; font-weight: 500; line-height: 2rem; }
.link-mrgrig-xl { margin-right: var(--ds-spacing-xl); }
.hp-event-desc { overflow: hidden; display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical }
.eventsHpGrid { display: grid; position: relative; }

/* card-feature reverse content */
reimagine-card-feature.reversecontent { flex-direction: row }
	reimagine-card-feature.reversecontent img { margin-left: 8px }

@media only screen and (max-width: 859px) {
	reimagine-card-feature.reversecontent { flex-direction: column }
		reimagine-card-feature.reversecontent img { margin-left: initial }
}
/* newsletter */
div.newsletter-content p { margin-bottom: 1rem; }
.tw-nl-img-bg { object-position: right; }
.tw-nl-footer { padding-top: 4rem; padding-bottom: 5.75rem; }


/* home */
.txt-hp-news { margin-top: -3rem }
.txt-hp-events { margin-top: -2rem }
	.txt-hp-events div[slot=heading-block__content-text] { font-size: 1.2rem }

/* MS Reactor */
.txt-reactor-events div[slot=heading-block__content-text] { font-size: 1.2rem }

/*Modal Dialog*/
reimagine-modal.tw-modal-max-1200 reimagine-card-dialog { max-width: 1200px; padding: 1.5rem }

/*Azureinnovation*/
@media only screen and (max-width: 1200px) {
	.reimagine-filter-box form { width: 65% }
	.tw-fltr-img-bg { background: url(/de-de/techwiese/renderingassets/images/themen/ro-r.webp); background-repeat: no-repeat; width: 100%; height: 100%; background-position-x: right; background-size: contain; }
	.tw-fltr-img { display: none }
}

@media only screen and (max-width: 800px) {
	.reimagine-filter-box form { width: 100% }
	.tw-fltr-img-bg { background: none; }
	div.filter { width: 100% }
}

.tw-fltr-img img { -webkit-transform: scaleX(-1); transform: scaleX(-1); max-height: 335px; }
reimagine-accordion-item { gap: 5px; }
/*Kundenprojekte*/
section#kundenprojekte reimagine-media { overflow: hidden; border-radius: 16px; }
section#kundenprojekte img.cst { transition: transform .6s ease-in-out; }
section#kundenprojekte reimagine-card-feature:hover img.cst { transform: scale(1.15); }
.tw-fluid-vid { position: relative; padding-bottom: 56.25%; padding-top: 30px; height: 0; overflow: hidden; min-width: 320px; }
	.tw-fluid-vid iframe { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }

@media only screen and (max-width: 859px) {
	.txt-hp-oneliener { margin-top: initial }
	.txt-hp-events { margin-top: initial }
}
